低危 PKCS7_dataDecode和CMS_decrypt_set1_pkey中的信息泄漏

CVE编号

CVE-2019-1563

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-09-11 06:15:00
漏洞描述
在攻击者收到解密尝试成功或失败的自动通知的情况下,攻击者在发送大量要解密的消息之后,可以恢复CMS / PKCS7传输的加密密钥或解密任何已加密的RSA加密消息使用Bleichenbacher填充oracle攻击使用公共RSA密钥。如果应用程序使用证书以及CMS_decrypt或PKCS7_decrypt函数的RSA私钥来选择要解密的正确收件人信息,则应用程序不会受到影响。在OpenSSL 1.1.1d(受1.1.1-1.1.1c影响)中已修复。已在OpenSSL 1.1.0l中修复(影响1.1.0-1.1.0k)。已在OpenSSL 1.0.2t(影响1.0.2-1.0.2s)中修复。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://www.openssl.org/news/secadv/20190910.txt
参考链接
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00054.html
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00072.html
http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00012.html
http://lists.opensuse.org/opensuse-security-announce/2019-10/msg00016.html
http://packetstormsecurity.com/files/154467/Slackware-Security-Advisory-opens...
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=08229ad838c50f64...
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=631f94db0065c781...
https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=e21f8cf78a125cd3...
https://kc.mcafee.com/corporate/index?page=content&id=SB10365
https://lists.debian.org/debian-lts-announce/2019/09/msg00026.html
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://seclists.org/bugtraq/2019/Oct/0
https://seclists.org/bugtraq/2019/Oct/1
https://seclists.org/bugtraq/2019/Sep/25
https://security.gentoo.org/glsa/201911-04
https://security.netapp.com/advisory/ntap-20190919-0002/
https://support.f5.com/csp/article/K97324400?utm_source=f5support&utm_medium=RSS
https://usn.ubuntu.com/4376-1/
https://usn.ubuntu.com/4376-2/
https://usn.ubuntu.com/4504-1/
https://www.debian.org/security/2019/dsa-4539
https://www.debian.org/security/2019/dsa-4540
https://www.openssl.org/news/secadv/20190910.txt
https://www.oracle.com/security-alerts/cpuapr2020.html
https://www.oracle.com/security-alerts/cpujan2020.html
https://www.oracle.com/security-alerts/cpujul2020.html
https://www.oracle.com/security-alerts/cpuoct2020.html
https://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html
https://www.tenable.com/security/tns-2019-09
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 openssl openssl * From
(including)
1.0.2
Up to
(including)
1.0.2s
运行在以下环境
应用 openssl openssl * From
(including)
1.1.0
Up to
(including)
1.1.0k
运行在以下环境
应用 openssl openssl * From
(including)
1.1.1
Up to
(including)
1.1.1c
2
运行在以下环境
系统 alpine_3.7 openssl * Up to
(excluding)
1.0.2t-r0
3
运行在以下环境
系统 amazon_AMI openssl * Up to
(excluding)
1.0.2k-16.151.amzn1
4
运行在以下环境
系统 alpine_3.11 openssl * Up to
(excluding)
1.1.1d-r1
5
运行在以下环境
系统 alpine_3.10 openssl * Up to
(excluding)
1.1.1d-r0
6
运行在以下环境
系统 alpine_3.12 openssl * Up to
(excluding)
1.1.1d-r1
7
运行在以下环境
系统 amazon_2 openssl * Up to
(excluding)
1.0.2k-19.amzn2.0.3
8
运行在以下环境
系统 alpine_3.8 openssl * Up to
(excluding)
1.0.2t-r0
9
运行在以下环境
系统 alpine_3.9 openssl * Up to
(excluding)
1.1.1d-r0
10
运行在以下环境
系统 debian_8 openssl * Up to
(excluding)
1.0.1t-1+deb8u8
11
运行在以下环境
系统 debian_10 openssl * Up to
(excluding)
1.1.1d-0+deb10u1
12
运行在以下环境
系统 alpine_3.13 openssl * Up to
(excluding)
1.1.1d-r1
13
运行在以下环境
系统 alpine_edge openssl * Up to
(excluding)
1.1.1d-r1
14
运行在以下环境
系统 debian_9 openssl * Up to
(excluding)
1.1.0l-1~deb9u1
15
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.1.1d-2.20.1
16
运行在以下环境
系统 suse_12_SP5 openssl * Up to
(excluding)
1.1.1d-2.20.1
17
运行在以下环境
系统 oracle_8 openssl * Up to
(excluding)
1.1.1c-15.el8
18
运行在以下环境
系统 fedora_EPEL_7 openssl * Up to
(excluding)
1.1.1c-2.el7
19
运行在以下环境
系统 fedora_29 openssl * Up to
(excluding)
1.1.1d-1.fc29
20
运行在以下环境
系统 fedora_31 openssl * Up to
(excluding)
1.1.1d-1.fc31
21
运行在以下环境
系统 fedora_30 openssl * Up to
(excluding)
1.1.1d-1.fc30
22
运行在以下环境
系统 opensuse_Leap_15.0 openssl * Up to
(excluding)
1.1.0i-lp150.3.25.1
23
运行在以下环境
系统 opensuse_Leap_15.1 openssl * Up to
(excluding)
1.1.0i-lp151.8.3.1
24
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.1.1d-2.20.1
25
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.1.1d-2.20.1
26
运行在以下环境
系统 suse_12_SP5 openssl * Up to
(excluding)
1.1.1d-2.20.1
27
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
0.9.8j-106.15.1
28
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.0.2p-3.11.1
29
运行在以下环境
系统 fedora_EPEL_7 openssl * Up to
(excluding)
1.1.1c-2.el7
30
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.0.2p-3.11.1
31
运行在以下环境
系统 opensuse_Leap_15.0 openssl * Up to
(excluding)
1.1.0i-lp150.3.25.1
32
运行在以下环境
系统 opensuse_Leap_15.1 openssl * Up to
(excluding)
1.1.0i-lp151.8.3.1
33
运行在以下环境
系统 opensuse_Leap_15.1 openssl * Up to
(excluding)
1.0.2p-lp151.5.10.1
34
运行在以下环境
系统 opensuse_Leap_15.0 openssl * Up to
(excluding)
1.0.2p-lp150.2.19.1
35
运行在以下环境
系统 alpine_3.14 openssl * Up to
(excluding)
1.1.1d-r1
36
运行在以下环境
系统 ubuntu_20.04 openssl * Up to
(excluding)
1.1.1d-2ubuntu1
37
运行在以下环境
系统 ubuntu_14.04 openssl * Up to
(excluding)
1.0.1f-1ubuntu2.27+esm1
38
运行在以下环境
系统 ubuntu_21.04 openssl * Up to
(excluding)
1.1.1d-2ubuntu1
39
运行在以下环境
系统 ubuntu_16.04 openssl * Up to
(excluding)
1.0.2g-1ubuntu4.16
40
运行在以下环境
系统 ubuntu_18.04 openssl * Up to
(excluding)
1.1.1-1ubuntu2.1~18.04.6
41
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.1.1d-2.20.1
42
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.1.1d-2.20.1
43
运行在以下环境
系统 suse_12_SP5 openssl * Up to
(excluding)
1.1.1d-2.20.1
44
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
0.9.8j-106.15.1
45
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.0.2p-3.11.1
46
运行在以下环境
系统 fedora_EPEL_7 openssl * Up to
(excluding)
1.1.1c-2.el7
47
运行在以下环境
系统 redhat_8 openssl * Up to
(excluding)
1.1.1c-15.el8
48
运行在以下环境
系统 centos_8 openssl * Up to
(excluding)
1.1.1c-15.el8
49
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.0.2p-3.11.1
50
运行在以下环境
系统 opensuse_Leap_15.0 openssl * Up to
(excluding)
1.1.0i-lp150.3.25.1
51
运行在以下环境
系统 opensuse_Leap_15.1 openssl * Up to
(excluding)
1.1.0i-lp151.8.3.1
52
运行在以下环境
系统 opensuse_Leap_15.1 openssl * Up to
(excluding)
1.0.2p-lp151.5.10.1
53
运行在以下环境
系统 opensuse_Leap_15.0 openssl * Up to
(excluding)
1.0.2p-lp150.2.19.1
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-203 通过差异性导致的信息暴露
CWE-311 敏感数据加密缺失
CWE-327 使用已被攻破或存在风险的密码学算法
阿里云安全产品覆盖情况